Bug 1301926 - Proxy options with oc command
Proxy options with oc command
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Fabiano Franz
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 06:58 EST by Jaspreet Kaur
Modified: 2016-10-04 13:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2016-01-26 06:58:06 EST
3. What is the nature and description of the request?  

Improve oc login command line to have proxy URL/Credentials as options.
      
4. Why does the customer need this? (List the business requirements here)

Need this features because in our company, there is a lot of proxy to go on the Internet and some of these proxies need an authentication.
The Openshift Enterprise v3 product is here deploys on the Internet.
      
5. How would the customer like to achieve this? (List the functional requirements here)

Have a command line with following options : 
oc login -u username -p password --proxyurl proxyurl --proxyusername proxyusername --proxy_password proxypassword --server master_url
      
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

Install or have a proxy that need authentication to go to the Internet

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  

No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

Openshift Enterprise 3.2.X oc 3.2.X
      
9. Is the sales team involved in this request and do they have any additional input? 

No
      
10. List any affected packages or components.  

oc command line
      
11. Would the customer be able to assist in testing this functionality if implemented?  

yes
Comment 2 Brenton Leanhardt 2016-01-26 08:52:40 EST
You should be able to set http_proxy and https_proxy variable when using 'oc'.  See https://bugzilla.redhat.com/show_bug.cgi?id=1241045#c25. If I'm misunderstanding this request please let me know.
Comment 6 Dan McPherson 2016-04-12 18:18:31 EDT
@mbarrett Do you think we should close the remaining request or carry it on our backlog?
Comment 8 Fabiano Franz 2016-04-22 11:44:34 EDT
Yes, special characters are supported. 

Relying on HTTP_PROXY, HTTPS_PROXY and NO_PROXY env vars is the default solution for proxy support in most command line tools. Adding proxy auth ahead on 'oc login' and proxy sessions with CNTLM or something similar is probably doable, but as mentioned probably not very high in the list of priorities. 

If we want to move on with this, it must be turned into a Trello card in our backlog which will then be prioritized.

Note You need to log in before you can comment on or make changes to this bug.